# PetscDrawViewPortsCreate

Splits a window into smaller view ports. Each processor shares all the viewports.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawViewPortsCreate(PetscDraw draw,PetscInt nports,PetscDrawViewPorts **ports)

Collective on PetscDraw

### Input Parameters

| draw | - the drawing context
| nports | - the number of ports

### Output Parameter

ports -a PetscDrawViewPorts context (C structure)

### See Also

PetscDrawSplitViewPort(), PetscDrawSetViewPort(), PetscDrawViewPortsSet(), PetscDrawViewPortsDestroy()

Level:advanced
Location: src/sys/draw/interface/dviewp.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages